# $Revision: 1.6 $, $Date: 2008/07/27 22:42:32 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	CatmullRom
Summary:	Math::CatmullRom - calculate Catmull-Rom splines
Summary(pl.UTF-8):	Math::CatmullRom - obliczanie splajnów Catmulla-Roma
Name:		perl-Math-CatmullRom
Version:	0.00
Release:	2
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c924e04872eed511e9b6f7c43af2af45
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an algorithm to generate plots for Catmull-Rom
splines.

A Catmull-Rom spline can be considered a special type of Bezier curve
that guarantees that the curve will cross every control point starting
at the second point and terminating at the penultimate one. For this
reason the minimum number of control points is 4.

%description -l pl.UTF-8
Ten moduł udostępnia algorytm do generowania wykresów splajnów
Catmulla-Roma.

Splajn Catmulla-Roma można uznać za specjalny typ krzywej Beziera,
gwarantujący, że krzywa przetnie wszystkie punkty kontrolne poczynając
od drugiego a kończąc na przedostatnim. Dlatego minimalna liczba
punktów kontrolnych to 4.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Math/CatmullRom.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-CatmullRom.spec,v $
Revision 1.6  2008/07/27 22:42:32  arekm
- release 2

Revision 1.5  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.3  2004/11/03 22:30:33  paladine
- formatting

Revision 1.2  2004/05/06 18:43:16  ankry
- fixed perl-devel BR

Revision 1.1  2003/10/25 18:16:28  qboosh
- new

